package com.ruoyi.sim.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.sim.service.impl.AddOnDeptService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/sim/add-on-dept")
@Api("班级/部门附加Controller")
public class AddOnDeptController extends BaseController {

    @Autowired
    private AddOnDeptService addOnDeptService;

    @GetMapping("/listLevel5")
    @ApiOperation("获取所有区队级别部门")
    public TableDataInfo listLevel5() {
        return addOnDeptService.listLevel5();
    }

}
